Subject: bug#8250: 23.3; set-backrgound-color sets incorrect color

From: "David J. Biesack" <[email-masked]>
Date: Wed, 16 Mar 2011 12:07:48 -0400

Juanma Barranquero <[email-masked]> writes:

> On Wed, Mar 16, 2011 at 15:54, Juanma Barranquero <[email-masked]> wrote:
>
>> In x-open-connection, w32-color-map is set from the etc/rgb.txt file
>
> To be precise, it is loaded from the rgb.txt file in the
> `data-directory' dir, so check also `data-directory' to see where does
> it point to.

data-directory
"c:/gnu/emacs/etc/"

(emacs 23.3.1 is installed in c:/gnu/emacs)

% wc -l c:/gnu/emacs/etc/rgb.txt
788 c:/gnu/emacs/etc/rgb.txt

Note: On my Windows 7, c:/gnu/emacs is a Windows 7 link to c:/gnu/emacs-23.3
(so that I can easily install new versions of Emacs without
editing my shortcuts, environment, etc. - just switch the link.)
I don't think this affects anything because if I run

  c:\gnu\emacs-23.3\bin\runemacs.exe -q

M-x list-colors-display is still only 167 colors when data-directory
is "c:/gnu/emacs-23.3/etc/"

fyi, I installed from
http://mirrors.ibiblio.org/pub/mirrors/gnu/ftp/gnu/emacs/windows/emacs-23.3-bin-i386.zip

-- 
David J. Biesack, SAS
SAS Campus Dr. Cary, NC 27513
www.sas.com    (919) 531-7771